Bug 973869 - [abrt] emacs-24.2-18.fc18: abort: Process /usr/bin/emacs-24.2 was killed by signal 6 (SIGABRT)
Summary: [abrt] emacs-24.2-18.fc18: abort: Process /usr/bin/emacs-24.2 was killed by s...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
(Show other bugs)
Version: 18
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ddabd05cdb10de5a40ed197b61e...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 03:00 UTC by Bruce-Robert Pocock
Modified: 2014-02-05 21:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 21:48:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.46 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: cgroup (133 bytes, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: core_backtrace (5.06 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: dso_list (11.34 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: environ (3.99 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: maps (81.20 KB, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: open_fds (225 bytes, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details
File: var_log_messages (303 bytes, text/plain)
2013-06-13 03:00 UTC, Bruce-Robert Pocock
no flags Details

Description Bruce-Robert Pocock 2013-06-13 03:00:08 UTC
Description of problem:
possibly run-away slime

Version-Release number of selected component:
emacs-24.2-18.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        emacs
crash_function: abort
executable:     /usr/bin/emacs-24.2
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #5 abort at /usr/src/debug/emacs-24.2/src/emacs.c:394
 #6 check_glyph_memory at /usr/src/debug/emacs-24.2/src/dispnew.c:2403
 #7 shut_down_emacs at /usr/src/debug/emacs-24.2/src/emacs.c:2114
 #8 Fkill_emacs at /usr/src/debug/emacs-24.2/src/emacs.c:2022
 #9 fatal_error_signal at /usr/src/debug/emacs-24.2/src/emacs.c:350
 #12 poll at ../sysdeps/unix/syscall-template.S:81
 #14 _xcb_conn_wait at xcb_conn.c:414
 #15 wait_for_reply at xcb_in.c:399
 #16 xcb_wait_for_reply at xcb_in.c:429
 #18 XListFontsWithInfo at FontInfo.c:69

Comment 1 Bruce-Robert Pocock 2013-06-13 03:00:12 UTC
Created attachment 760410 [details]
File: backtrace

Comment 2 Bruce-Robert Pocock 2013-06-13 03:00:16 UTC
Created attachment 760411 [details]
File: cgroup

Comment 3 Bruce-Robert Pocock 2013-06-13 03:00:19 UTC
Created attachment 760412 [details]
File: core_backtrace

Comment 4 Bruce-Robert Pocock 2013-06-13 03:00:22 UTC
Created attachment 760413 [details]
File: dso_list

Comment 5 Bruce-Robert Pocock 2013-06-13 03:00:25 UTC
Created attachment 760414 [details]
File: environ

Comment 6 Bruce-Robert Pocock 2013-06-13 03:00:28 UTC
Created attachment 760415 [details]
File: limits

Comment 7 Bruce-Robert Pocock 2013-06-13 03:00:31 UTC
Created attachment 760416 [details]
File: maps

Comment 8 Bruce-Robert Pocock 2013-06-13 03:00:34 UTC
Created attachment 760417 [details]
File: open_fds

Comment 9 Bruce-Robert Pocock 2013-06-13 03:00:37 UTC
Created attachment 760418 [details]
File: proc_pid_status

Comment 10 Bruce-Robert Pocock 2013-06-13 03:00:40 UTC
Created attachment 760419 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-12-21 13:59:16 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2014-02-05 21:48:14 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.